Summary:        Powerful light-weight programming language
Name:		lua
Version:	5.0.2
Release:	1
Group:          Libraries
Copyright:	LGPL
URL:            http://www.lua.org/
Source0:        lua-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root
Provides:	liblua

%description
Lua is a powerful light-weight programming language designed for
extending applications. Lua is also frequently used as a
general-purpose, stand-alone language. Lua is free software.
Lua combines simple procedural syntax with powerful data description
constructs based on associative arrays and extensible semantics. Lua
is dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.

%package 	devel
Summary: 	Libraries and headers for poppler
Group: 		Development
Provides:	liblua-devel

%description 	devel
Lua is a powerful light-weight programming language designed for
extending applications. Lua is also frequently used as a
general-purpose, stand-alone language. Lua is free software.
Lua combines simple procedural syntax with powerful data description
constructs based on associative arrays and extensible semantics. Lua
is dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.

%prep
%setup -q -n lua-%{version}

%build
%{__make} \
	CC="%{__cc}" \
	MYCFLAGS="%{optflags}" \
	EXTRA_DEFS="-fPIC -DPIC -D_GNU_SOURCE" \
	all so sobin
rm -f test/{lua,luac}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/lua,%{_datadir}/lua}

%{__make} install soinstall \
	INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix} \
	INSTALL_BIN=$RPM_BUILD_ROOT%{_bindir} \
	INSTALL_INC=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_LIB=$RPM_BUILD_ROOT%{_libdir} \
	INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}/man1

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_bindir}
%{_mandir}

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}
